Name:           dfc
Version:        3.1.1
Release:    1%{?dist}
Summary:        Report file system space usage information with style

License:        BSD-3-Clause AND BSD-2-Clause
URL:            https://github.com/rolinh/%{name}
Source0:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gettext


%description
dfc is a tool to report file system space usage information. When the
output is a terminal, it uses color and graphs by default. It has a lot of
features such as HTML, JSON and CSV export, multiple filtering options,
the ability to show mount options and so on.


%prep
%autosetup


%build
%cmake \
  -D SYSCONFDIR=%{_sysconfdir}
%cmake_build


%install
%cmake_install

rm -f %{buildroot}%{_docdir}/%{name}/{HACKING.md,LICENSE}

%find_lang %{name}
%find_lang %{name} --with-man


%files -f %{name}.lang
%license LICENSE
%doc AUTHORS.md CHANGELOG.md README.md TRANSLATORS.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/xdg/%{name}/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-1
- initial build
